org.apache.synapse.commons.throttle.core.internal

## Class ThrottleServiceComponent

- java.lang.Object
- - org.apache.synapse.commons.throttle.core.internal.ThrottleServiceComponent

-     public class ThrottleServiceComponent
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThrottleServiceComponent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `activate(org.osgi.service.component.ComponentContext context)`
    `protected void` | `addDistributedCounterManagerInstance(DistributedCounterManager distributedCounterManager)` Access Distributed Counter Instance, which is exposed as an OSGI service.
    `protected void` | `deactivate(org.osgi.service.component.ComponentContext ctx)`
    `protected void` | `removeDistributedCounterManagerInstance(DistributedCounterManager distributedCounterManager)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThrottleServiceComponent

          public ThrottleServiceComponent()

  - ### Method Detail

    - #### activate

          protected void activate(org.osgi.service.component.ComponentContext context)

    - #### deactivate

          protected void deactivate(org.osgi.service.component.ComponentContext ctx)

    - #### addDistributedCounterManagerInstance

          protected void addDistributedCounterManagerInstance(DistributedCounterManager distributedCounterManager)

      Access Distributed Counter Instance, which is exposed as an OSGI service.
      Parameters:
        `distributedCounterManager` -

    - #### removeDistributedCounterManagerInstance

          protected void removeDistributedCounterManagerInstance(DistributedCounterManager distributedCounterManager)

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.